QGIS Crashing When Connecting to datasets in MSSQL

2015-05-28 01:10 AM - Richard G

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.8.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 20932

Description

Using QGIS I have connected to a database from MSSQL with no issues.

When I import one feature I can specify the coordinate system and edit attributes. However, if I wish to add a second feature and do the

same I constantly get the following error message: "*Crash dumped - minidump written to C:*"

In Add MSSQL Table(s) I have the following information:

[Schema: sde] [Geometry column: Shape/SHAPE] [SRID: 5 digit code] [Primary key column: (Blank)] [Select at id: (Checked)] [sql:

(Blank)]

Does anybody know what may be causing QGIS to crash?

Related issues:

Duplicates QGIS Application - Feature request # 10946: Non-integer key column... Open 2014-07-24

History

#1 - 2015-05-28 01:42 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Category set to Data Provider/MSSQL

- Status changed from Open to Feedback

- Target version set to Future Release - High Priority

Did it worked fine with previous qgis releases?

#2 - 2015-05-28 03:31 AM - Richard G

- Assignee set to Giovanni Manghi

Hello thanks. It did not work for me in 2.6. It does however work for me in 2.2.0 Valmiera. Any thoughts as to why it is not working for me in the latest

versions of the software?

#3 - 2015-05-28 03:34 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

Richard G wrote:
Hello thanks. It did not work for me in 2.6. It does however work for me in 2.2.0 Valmiera. Any thoughts as to why it is not working for me in the

latest versions of the software?

yes, is called bug :)

Sorry I can't do tests of my own, I don't have/do MS SQL Server.

#4 - 2015-05-28 03:57 AM - Saber Razmjooei

Did you check this #12324?

#5 - 2015-06-14 12:35 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

Saber Razmjooei wrote:

Did you check this #12324?

that should be duplicate of #10946 

Please reopen if necessary.
